/*
 Theme Name:   Solution Digitale Child
 Theme URI:    http://example.com/twenty-fifteen-child/
 Description:  Solution Digitale Child
 Author:       Xavier Gerber
 Author URI:   http://example.com
 Template:     SolutionDigitale
 Version:      3.0.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Tags:         light,
dark,
two-columns,
right-sidebar,
responsive-layout,
accessibility-ready
 Text Domain:  twentyfifteenchild
*/

/**********************************************************************************************************/
/*	EXEMPLE DE VARIABLES GLOBALES	*/
:root {
    --text-color-1: #545454 !important;
    --text-color-2: #353535 !important;
    --text-color-white: white !important;
    --text-color-black: black !important;
    --anchor-offset: 80px; 
}

/*SMOOTH SCROLL*/

 
/* tous les éléments qui peuvent être ciblés par un #id */
[id] {
 scroll-margin-top: var(--anchor-offset);
}
 
/* facultatif : ajoute un défilement fluide natif */
html { 
    scroll-behavior: smooth; 
}

.navbar-top-container .builder_menu{
	width:auto!important;
}

.php-error #adminmenuback,
.php-error #adminmenuwrap {
    margin-top: 0 !important;
}

/**********************************************************************************************************/
/*	CONFIGURATION DES TABLES	*/
.table table {
    width: 100%;
}

.table thead {
    border: solid 1px gray;
}

.table thead th {
    background: darkgray;
    color: white !important;
}

.table thead th,
.table td {
    border-left: solid 1px gray;
    border-right: solid 1px gray;
}

tr td,
tr th {
    padding: 10px; /* Ajustez la valeur du padding selon vos besoins */
}

/**********************************************************************************************************/

.menu-fixed-scroll {
    position: fixed !important;;
    width: 100% !important;
}

.dropdown-item {
    color: black !important;
}

/*/////////////////////////////////////////////////////////////////////////////////*/
/*MENU CHAGEMENT DE LANGUE MASQUE*/
#container_switch_langue {
    display: none !important;
}

/*/////////////////////////////////////////////////////////////////////////////////*/
/* Il est possible d'ajouter des style de bouton dans la configuration du thème en front*/
/* TYPES DE BOUTONS */
/* Attention à bien cibler les boutons,
pour éviter les soucis avec la boutique merci! */
.sd-button-header p,
.sd-button-header a,
input[type=submit],
input[type=submit]:focus {
    color: var(--sd3) !important;
    text-decoration: none;
}

.sd-button-header,
input[type=submit],
input[type=submit]:focus {
    /*text-transform:uppercase;*/
    cursor: default;
    transition: 0.3s;
    padding: 5px 20px 5px 20px;
    border: solid 1px var(--sd3);
    background-color: white;
}

.sd-button-header:hover p,
.sd-button-header:hover a,
input[type=submit]:hover {
    color: white !important;
}

.sd-button-header:hover,
input[type=submit]:hover {
    padding: 5px 20px 5px 20px;
    border: solid 1px transparent;
    background-color: var(--sd2);
}

/*/////////////////////////////////////////////////////////////////////////////////*/
/*STYLE DES FORMULAIRE*/

/* Reposition du Message erreur*/
.wpcf7-not-valid-tip{
    margin-top:-20px;
    margin-bottom:10px;
}

form input[type=text],
form input[type=email],
form input[type=tel],
form label,
form input,
form textarea {
    width: 100% !important;
}

form input[type=text],
form input[type=email],
form input[type=tel],
form textarea {
    width: 100% !important;
    border: solid 1px var(--sd3)
}

form input[type=submit] {
    display: inline-block !important
}

form label input,
form label textarea {
    margin-top: 15px !important;
    margin-bottom: 25px !important;
}

form * {
    font-size: 14px !important
}

input[type=text],
input[type=email],
input[type=tel],
input[type=password],
textarea,
select,
input[list] {
    width: 100%;
    padding: 12px 20px;
    margin-bottom: 20px !important;
    display: inline-block;
    border: 1px solid LightGray;
    border-radius: 4px;
    box-sizing: border-box;
}

/*/////////////////////////////////////////////////////////////////////////////////*/
/*SOCIAL*/

.sd_social{
	padding-bottom:1rem;
}

.sd_social i {
    color: white !important;
    transition: 0.3s;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgb(104, 104, 104);
    border-radius: 25px;
    width: 50px;
    height: 50px;
    text-align: center;
    margin-right: 5px;
    font-size: 25px;
}

.sd_social i:hover {
    transform: scale(1.3);
}

/*/////////////////////////////////////////////////////////////////////////////////*/
/*FOOTER*/
footer .sd_social_footer i {
    color: white !important;
    transition: 0.3s;
    padding-top: 6px;
    background-color: rgb(104, 104, 104);
    border-radius: 20px;
    width: 30px;
    height: 30px;
    text-align: center;
    margin-right: 5px;
}

footer .sd_social_footer i:hover {
    transform: scale(1.3);
}

@media screen and (min-width: 991px) {
    #menu-main {
        gap: 15px
    }
}

    /*

    Breadcrumb
     */
    #breadcrumbs {
        list-style: none;
        margin: 10px 0;
        overflow: hidden;
    }

    #breadcrumbs li {
        display: inline-block;
        vertical-align: middle;
        margin-right: 15px;
    }

    #breadcrumbs .separator {
        font-size: 18px;
        font-weight: 100;
        color: #ccc;
    }

    html.wp-toolbar {
        padding-top: 25px !important;
    }

    .adminmenuwrap {
        margin-top: 0 !important;
    }

    /* Header & Footer */
    @media screen and (max-width: 992px) {
        .nav-item {
            display: grid !important
        }

        footer > div > div > div > div > .navbar-nav > .nav-item {
            display: unset !important
        }

        .nav-item {
            display: flex !important
        }

        footer > div > div > div > div > .navbar-nav > .nav-item {
            display: unset !important
        }

        ul.dropdown-menu {
            top: 40px !important
        }

        /* Ajout d'une marge en dessus des options admin si menu sticky top */
        #main > div > div.builder_menu.d-flex {
            z-index: 99999 !important;
        }

        .sdg_popup_template {
            z-index: 999999 !important;
        }	
	}

/*****************************************************/

	@font-face {
  		font-family: Ms Madi; /* set name */
  		src: url(https://cdn.solution-digitale.ch/wp-content/uploads/2026/07/MsMadi-Regular.ttf); /* url of the font */
	}

	#main h1 i{
		font-family: "Ms Madi", cursive !important;
  		font-weight: 400;
  		font-style: normal;
		text-transform:none !important;
		font-size:35px !important;
		display:flex;
	}

	#main h2 i {
		font-family: "Ms Madi", cursive !important;
  		font-weight: 400;
  		font-style: normal;
		text-transform:none !important;
		font-size:35px !important;
	}

	#main .navbar-top-container p{
		color:var(--sdtc) !important
	}

	#sortableelement_column_sans_fond_80_16 > div,
	.element_column_sans_fond_32_16_container.d-flex > div.text-start{
		border-top:1px solid var(--sd1);
		border-bottom:1px solid var(--sd1);
		padding:50px !important;
	}

	.element_column_en_ligne_80_21_bg,
	.element_column_en_ligne_84_21_bg,
	.element_column_en_ligne_86_21_bg,
	.element_image_text_full_responsive_88_10_bg,
	.element_shortcode_32_1{
		background-image: url(https://cdn.solution-digitale.ch/wp-content/uploads/2026/07/Lenvol-EmmanuelKlein-fond.png) !important;
		background-repeat: no-repeat;
		background-size: cover;
		background-position: bottom;
		background-attachment: fixed;
	}

	#sortableelement_column_en_ligne_80_21 > div,
	#sortableelement_column_en_ligne_84_21 > div,
	#sortableelement_column_en_ligne_86_21 > div,
	#sortableelement_column_en_ligne_88_21 > div{
		box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px, rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
	}

	#sortableelement_column_en_ligne_80_21 .sd_image img,
	#sortableelement_column_en_ligne_84_21 .sd_image img,
	#sortableelement_column_en_ligne_86_21 .sd_image img,
	#sortableelement_column_en_ligne_88_21 .sd_image img{
		object-fit: contain !important;
	}

/*	.element_column_sans_fond_80_8_item_bg,
	.element_column_sans_fond_82_8_item_bg,
	.element_column_sans_fond_84_8_item_bg,
	.element_column_sans_fond_86_8_item_bg,
	.element_column_sans_fond_88_8_item_bg,
	.element_column_sans_fond_32_8_item_bg,
	.element_column_sans_fond_77_8_item_bg,
	.element_column_sans_fond_82_9_item_bg,
	.element_column_sans_fond_94_8_item_bg{
    	background: linear-gradient(rgba(13, 46, 143, 1) 0%, rgba(10, 32, 92, 1) 65%) !important;
	}*/

	.element_column_sans_fond_77_8 ul li {
		color:var(--sdtc) !important;
	}

	.element_shortcode_80_25,
	.element_shortcode_82_25,
	.element_shortcode_84_25,
	.element_shortcode_86_25,
	.element_shortcode_88_25{
		background:linear-gradient(90deg,rgba(209, 229, 255, 1) 46%, rgba(53, 79, 174, 1) 46%) !important;
	}

	#wpcf7-f119-o1 > form > div.container > div > div:nth-child(3) > p > span > textarea{
		max-height: 150px;
	}

	#sortableelement_column_sans_fond_82_16 > div:nth-child(2),
	#sortableelement_column_sans_fond_84_16 > div:nth-child(2),
	#sortableelement_column_sans_fond_86_16 > div:nth-child(2),
	#sortableelement_column_sans_fond_88_16 > div:nth-child(2){
		background:var(--sd6);
		padding:20px;
	}

	#sortableelement_column_sans_fond_90_26 > div:nth-child(1),
	#sortableelement_column_sans_fond_90_27 > div:nth-child(1),
	#sortableelement_column_sans_fond_90_28 > div:nth-child(1),
	#sortableelement_column_sans_fond_90_29 > div:nth-child(1),
	#sortableelement_column_sans_fond_90_30 > div:nth-child(1){
		border-right:2px solid var(--sd1);
		padding-right:10%
	}

	.element_shortcode_32_17 > div > div.d-flex,
	.element_shortcode_32_1 > div > div.d-flex,
	.element_shortcode_32_3 > div > div.d-flex,
	.element_shortcode_77_17 > div > div.d-flex{
		align-items: center;
	}

	.element_shortcode_32_17 img,
	.element_shortcode_32_1 img,
	.element_shortcode_32_3 img,
	.element_shortcode_77_17 img{
		aspect-ratio: 3 / 4 !important;
    	object-fit: cover !important;
	}

	.element_shortcode_32_17 a,
	.element_shortcode_32_1 a,
	.element_shortcode_32_3 a,
	.element_shortcode_77_17 a{
		height: 50px;
		padding: 0px 0px;
		justify-content: center;
		align-items: center;
		gap: 16px;
		border-top: 1px solid var(--sd1);
		border-bottom: 1px solid var(--sd1);
		color:var(--sd1) !important;
		text-transform:uppercase;
		letter-spacing:1px;
		transition:0.3s;
		display: flex;
	}

	#main .element_shortcode_32_17 a:hover,
	#main .element_shortcode_32_1 a:hover,
	#main .element_shortcode_32_3 a:hover,
	#main .element_shortcode_77_17 a:hover{
		padding: 0px 0px;
		background:var(--sd1);
		color:var(--sdtc) !important;
	}

	.element_shortcode_32_17 > div > div > div:nth-child(2),
	.element_shortcode_32_1 > div > div > div:nth-child(2),
	.element_shortcode_32_3 > div > div > div:nth-child(2),
	.element_shortcode_77_17 > div > div > div:nth-child(2){
		transform: translateY(-50px) !important;
	}

	.element_shortcode_32_17 > div > div > div:nth-child(3),
	.element_shortcode_32_1 > div > div > div:nth-child(3),
	.element_shortcode_32_3 > div > div > div:nth-child(3),
	.element_shortcode_77_17 > div > div > div:nth-child(1){
		transform: translateY(50px) !important;
	}

	#main .sd_button_container .sd_button_3{
		box-shadow: 4px 4px 0 0 #FFF9F0 !important;
	}

	#sortableelement_column_avec_fond_77_23 .sd_image img{
		object-fit:contain !important;
	}

	.carousel-item img {
		top: 80% !important;
	}

	.element_shortcode_86_9 > div > div{
		padding-left:10%;
		padding-right:10%;
	}

	#sortableelement_column_sans_fond_90_26 > div:nth-child(2) .text-button .sd_button > div,
	#sortableelement_column_sans_fond_90_27 > div:nth-child(2) .text-button .sd_button > div,
	#sortableelement_column_sans_fond_90_28 > div:nth-child(2) .text-button .sd_button > div,
	#sortableelement_column_sans_fond_90_29 > div:nth-child(2) .text-button .sd_button > div,
	#sortableelement_column_sans_fond_90_30 > div:nth-child(2) .text-button .sd_button > div{
		display:none!important
	}

	#eapps-instagram-feed-1 > div > div.eapps-instagram-feed-content > div.eapps-instagram-feed-header-container > div > div > div.eapps-instagram-feed-header-follow-button-wrapper > a{
		color:white!important;
	}

	/* Hauteur tableau automatique */

	.navbar-top-container{
		height: fit-content!important;
	}

	/* Suppression du margin-bottom des second btn */

	#main .element_image_text_full_responsive div:nth-child(2) > .sd_button{
		margin-top: 0px !important;
	}

	/* Carousel Rencontres Jeunes Mamans */

	.page_84 .carousel-item img{
		min-height: 0vh;
		object-fit: contain;
		top: 50%!important;
	}

	/* MASQUER DES BLOCS */

	.element_column_sans_fond_90_26,.element_image_text_full_responsive_84_5{
		display:none;
	}

	/* FORMULAIRE - COULEUR DE TEXTE - INFORMRATION */

	#wpcf7-f119-o1 > form > div.container > div > div.col-lg-12.mb-4 > p,
	.element_shortcode_80_25 form > div.container > div > div.col-lg-12.mb-4 > p{
		color:white!important;
	}